
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>APP多版本共存，服务端如何兼容？ / iVAN</title>

    <meta name="description" content="APP多版本共存，服务端如何兼容？ 做过APP产品的技术人员都知道,APP应用属于一种C/S架构的,所以在做多版本兼容,升级等处理则比较麻烦,不像web应用那么容易.下面将带大家分析几种常见的情况: 小改动或者新加功能的 这种情况,数据库结构和API程序一般是可以兼容多版本的,所以不用强制升级,可以坐到多版本共存. 尽量采用数据库层面新增字段和API的方式,应用程序层面就可以兼容了.当然,API层面也可以部署多个版本来同时提供,但这个不是必须的 但最重要的是数据库层面的表结构那些能够兼容到. 或者: 总结: 数据库层面,尽量采用新">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">APP多版本共存，服务端如何兼容？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>做过APP产品的技术人员都知道，APP应用属于一种C/S架构的，所以在做多版本兼容，升级等处理则比较麻烦，不像web应用那么容易。下面将带大家分析几种常见的情况： <br /><strong>小改动或者新加功能的</strong> <br />
这种情况，数据库结构和API程序一般是可以兼容多版本的，所以不用强制升级，可以坐到多版本共存。 <br />
尽量采用数据库层面新增字段和API的方式，应用程序层面就可以兼容了。当然，API层面也可以部署多个版本来同时提供，但这个不是必须的 <br />
但最重要的是数据库层面的表结构那些能够兼容到。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA3MDIxMTM4NDA5MDk=.jpg"><br />
或者： <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA3MDIxMTM5Mjg4NDY=.jpg"></p>
<p>总结： <br />
数据库层面，尽量采用新增字段，而不是修改字段的原则，避免影响以前的业务。 <br />
而服务端程序层面，API层尽量设计灵活，接入层可以支持“路由”最佳。主要有几种思路，1.  在API方法中通过新增参数或者直接新增API方法（也可以理解为重载）。 <br />
较少的改动可以这样去做处理，但是改动多了会比较麻烦，不利用扩展。 <br />
2.  代码分不同分支版本，API部署不同子站点。通过api.xx.com/V1 和api.xx.com/V2方式访问，或者通过apiV1.xxx.com，apiV2.xxx.com等方式区分访问。当然，也可以在APP不同版本中请求时传入标识，服务端通过Nginx或者APIGateWay等来实现服务路由。 <br />
这种直观上更加清晰，工作量也会大一些，会增加一定的维护和管理成本。 <br />
后端的原子服务，也需要尽可能支持多版本。</p>
<p><strong>如果是大改动，底层数据结构都不兼容，那只能提示强制升级了</strong> <br />
如果是强制升级，就不会有多版本共存的问题了， <br />
也不会有多套数据库，也不会存在数据同步的问题。 <br />
只需要这样操作： <br />
在苹果提交审核之前，我们事先准备好“新版本的数据结构和对象（view、proc、function等）脚本、迁移脚本或者程序、程序发布文件”等。 <br />
1.  部署1个具有新表结构和对象的测试数据库（预发布环境）。 <br />
2.  部署1个新的API站点（不同域名，建议域名中使用版本号区分。或者采用不同子站点的方式），配置连接测试库和测试的（API站点、DB、缓存、ES、Nosql …这些单独有一套预发布环境） <br />
3.  等苹果审核通过之后，更新最新的程序，数据库结构等到生产环境，并将API地址的域名的指向切换到生产环境中（网站、admin后台等等可以直接发布了），运营人员在苹果商店点击上架操作，服务端升级完成（APP端会有强制更新的提示）。当然，这个过程中可能会造成短暂的停机时间，所以一般是选择在晚上操作。 <br />
4.  提前将安卓最新APK放到我们的下载站或镜像站，在3步服务端程序等都发布完成后，在运营后台开启安卓版本的强制升级提示（从我们的下载站或者镜像站下载APK升级）。 <br />
这样，旧版本的安卓用户，会强制升级到新的版本，不会影响到使用。 <br />
与此同时，运营人员也需要在各大安卓市场去分发和上架最新的apk包，提供最新的其他渠道下载，避免用户下载到旧程序，然后又提示强制升级影响体验。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA3MDIxMTUwMzc3NTU=.jpg"></p>
<ul>
<li><strong>如果是大改动，数据库结构和API程序都不兼容， 又不想去做强制升级，就会有多版本共存的问题</strong></li>
</ul>
<p>那就只能去部署两套（或者更多个版本）数据库，而且对于用户产生内容和时效性要求较高的，需要双向（甚至多向）去做同步。核心问题其实是数据库有状态，这种是很困难的。 <br />
这种很容易出问题，容易出现冲突和数据不一致。 <br />
而且数据结构不一样的情况下，是很难去兼容的。</p>
<p>所以，对于改动较大的，产品新增了重量级新功能的，业务层面或者底层表结构上都不兼容的，建议是要做强制升级的。</p>
<p>或者：</p>
<p>2.如果是大改动，底层数据结构都不兼容，那只能提示强制升级了 <br />
如果是强制升级，就不会有多版本共存的问题了， <br />
也不会有多套数据库，也不会存在数据同步的问题。 <br />
只需要这样操作： <br />
在苹果提交审核之前，我们事先准备好“新版本的数据结构和对象（view、proc、function等）脚本、迁移脚本或者程序、程序发布文件”等。 <br />
1.  部署1个具有新表结构和对象的测试数据库（预发布环境）。 <br />
2.  部署1个新的API站点（不同域名，建议域名中使用版本号区分。或者采用不同子站点的方式。通过api.xx.com/V1 和api.xx.com/V2方式区分），配置连接测试库和测试的（API站点、DB、缓存、ES、Nosql …这些单独有一套预发布环境） <br />
3.  等苹果审核通过之后，更新最新的程序，数据库结构等到生产环境，并将API地址的域名的指向切换到生产环境中（网站、admin后台等等可以直接发布了），运营人员在苹果商店点击上架操作，服务端升级完成（APP端会有强制更新的提示）。当然，这个过程中可能会造成短暂的停机时间，所以一般是选择在晚上操作。 <br />
4.  提前将安卓最新APK放到我们的下载站或镜像站，在3步服务端程序等都发布完成后，在运营后台开启安卓版本的强制升级提示（从我们的下载站或者镜像站下载APK升级）。 <br />
这样，旧版本的安卓用户，会强制升级到新的版本，不会影响到使用。 <br />
与此同时，运营人员也需要在各大安卓市场去分发和上架最新的apk包，提供最新的其他渠道下载，避免用户下载到旧程序，然后又提示强制升级影响体验。</p>
<p>3.如果是大改动，数据库结构和API程序都不兼容， <br />
又不想去做强制升级，就会有多版本共存的问题 <br />
那就只能去部署两套（或者更多个版本）数据库，而且对于用户产生内容和时效性要求较高的，需要双向（甚至多向）去做同步。核心问题其实是数据库有状态，这种是很困难的。 <br />
这种很容易出问题，容易出现冲突和数据不一致。 <br />
而且数据结构不一样的情况下，是很难去兼容的。</p>
<p><strong>所以，对于改动较大的，产品新增了重量级新功能的，业务层面或者底层表结构上都不兼容的，建议是要做强制升级的。</strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 04:50:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%90%8c%e6%ad%a5/" title="数据同步">数据同步</a>, <a href="https://www.iamivan.net/tag/%e5%9f%9f%e5%90%8d/" title="域名">域名</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e9%95%9c%e5%83%8f/" title="镜像">镜像</a>, <a href="https://www.iamivan.net/tag/%e8%bf%90%e8%90%a5/" title="运营">运营</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="数据结构">数据结构</a>, <a href="https://www.iamivan.net/tag/api/" title="api">api</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>APP多版本共存，服务端如何兼容？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmB5NDz.html" rel="bookmark">服务端集成问题，如何拉取聊天记录？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我在环信官网下载了java版本的服务端代码,成功导入eclipse,但是看不懂也不会用啊.我在app端集成成功了环信的SDK,实现了单聊.可是我现在想在我自己app的服务器端集成环信服务端来拉取聊天记录,请问怎么实现啊?谢谢 解决方案 其实就是httpclient请求,服务端demo只是做参考的,可以看下文档,自己去写http://docs.easemob.com/start/ ... atlog			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8EeRoz.html" rel="bookmark">灰鸽子服务端卸载程序即灰鸽子官方专杀工具 下载&lowbar;病毒查杀</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				灰鸽子是一款远程控制软件,如果你的电脑在未经你允许的情况下被别人安装了灰鸽子服务端程序,请下载该软件进行检测卸载! 灰鸽子服务端卸载程序适用灰鸽子VIP2005/2006/2007及其它版本的服务端程序的检测和卸载! 灰鸽子工作室谴责那些非法利用远程控制技术,实现非法目的的行为,对于此类行为,灰鸽子工作室一如既往的给予打击和帮助广大网民予以应对! 电信下载  网通下载			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGEya2M.html" rel="bookmark">&period;net web api开发app服务端接口，如何处理app版本迭代问题？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 .net web api开发app服务端接口,如何处理app版本迭代问题? 有人的作法是每发一个新版本,就把前一个版本的接口代码复制一遍然后进行修改,也就是一个大版本对应一套接口代码 解决方案 用webapi的话,可以使用web路由,客户端包含一个参数,映射到服务器上,比如 api.abc.com/v1/userservice/adduser api.abc.com/v2/userservice/adduser 服务器根据版本号走不同的逻辑. 解决方案二: 需要设计好 模块化 这样可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkJLLjM.html" rel="bookmark">Erbix：兼容于 CommonJS 的服务端 JavaScript 主机平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Erbix 为构建和部署 JavaScript 应用程序的云端平台.除了支持 RinjoJS,CommonJS 模块,PostgreSQL 外,还支持具可伸缩性的按需调配主机. Erbix is a platform for building and deploying JavaScript applications on the Cloud. It features support for RinjoJS,CommonJS modules, PostgreSQL and on-demand s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEWBDnp.html" rel="bookmark">js兼容 浏览器兼容-app端HTML兼容问题？&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 app端HTML兼容问题?------ 手机种类太多,手机内置浏览器怎么判断期期版本?js怎么判断根据不同版本引入不同的css,navigator.userAgent也有兼容性,不知道怎么办了,求大神指点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mywlqkz.html" rel="bookmark">千万级用户App小咖秀：服务端架构设计分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				直播视频: (点击图片观看) 幻灯片下载地址:https://oss.aliyuncs.com/yqfiles/9a8fc5f636a0151d678e125f0e63678f.pdf 3月18日在线实时分享顺利结束,本次由小咖秀技术总监张华伟的分享是在移动互联网时代,创业团队在技术储备.经验积累以及资金等有限的情况下,该如何选择合适的服务端技术解决突发式流量增长所带来的压力以及最大化节省运营成本等方面的经验和建议.本次视频直播的整理文章.视频.幻灯片整理完毕,如下内容. 爆款产品特点 图一 爆			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1lDAjb.html" rel="bookmark">大咖直播第五期问答整理：小咖秀张华伟讲解千万级用户App服务端架构设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3月18日在线实时分享顺利结束,本次由小咖秀技术总监张华伟讲解千万级用户App服务端架构设计.本次直播中现场观众提出了很多技术问题,我们把这些问题和答案整理好分享给大家. 问答列表: 负载均衡是怎么做的? 如果使用阿里云负载均衡,是如何做数据同步? 有用到反向代理吗?技术架构能说下吗? 程序怎么扩展 能说下服务器数量? 怎么上线? 上线版本怎么控制的? 初期搭建系统的时候,阿里云选择的基本配置是什么呢 请问功能模块之间的通信是怎么实现的?http接口?RPC?WS?还是其他? 缓存选择的方向是怎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjoNOWM.html" rel="bookmark">专业技术顾问王庆友--大型APP服务端架构演化及最佳实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[51CTO.com原创稿件]在WOT2016移动互联网技术峰会上,王庆友前1号店首席架构师兼独立技术顾问为我们讲述APP服务端的变化过程.王庆友老师从四个方面为我们讲述:架构历史和问题.最新服务端2.0架构.APP架构总结及架构本质的理解. 架构历史和问题 最初架构,可以称为0.1版本,架构本身非常简单了.首先有一个无线接口模块,统一对接APP的请求,内部是利用各个业务开发team提供架包完成业务逻辑返回结果.这个架构有两色,一个是集中式架构,另外是架包物理耦合.对于一开始提供一个简单的APP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z436aYp.html" rel="bookmark">iOS 基于服务端的App下载打包教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				打包服务端可以下载App包有两种方式: 第一种:利用Xcode直接打包,步骤如下: 第一步:利用Xcode的存档功能,打包. 第二步:选择Save for Enterprise or Ad Hoc Deployment 接着选择开发版本的证书后就生成ipa包 第三步:选择App对应的开发版本的证书: 注意:如果你加入需要安装的新设备,你需要手动刷新现在看到的证书. 第二种:手动压缩的方式. 第一步:编译 IOS Device 版本的app 第二步:新建一个目录:Payload, 将生成的app文			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqOXKz.html" rel="bookmark" class="title">网站程序员如何应对web标准</a>
					<div>
						web|web标准|程序|程序员 本文讨论的是在web标准普及的形势下,网站程序员的定位以及如何与设计师配合开发符合web标准的网站项目.本文适合的读者是传统TABLE布局下分工不是非常明晰的程序员. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP1O0z.html" rel="bookmark" class="title">购物车改变案例分析&colon;有效的设计方案</a>
					<div>
						文章描述:在方案设计时,会出现一种情况:似乎已经输出了所有可能的方案,但讨论定稿时还是觉得不够满意,认为应该有更优方案的输出?什么原因导致了这种情况?如何输出有效的设计方案? 在方案设计时,会出现一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpneLWM.html" rel="bookmark" class="title">在C&num;代码里使用IE WEB Control TreeView</a>
					<div>
						treeview|web 网站目录下需要有Microsoft.Web.UI.WebControls.dll和相应的文件 如大家要转载,请保留本人的版权. /* *Description:完全的操作XM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB07Kb.html" rel="bookmark" class="title">什么是Mooon-server</a>
					<div>
						mooon-server是一个TCP服务端框架,高性能和大并发是它的特性之一,除此这外还追求接口简单.可观察和易于维护等.目前,经过今天修改,已经可以编译通过,并在它基础上写了一个测试程序Genera ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o2Kwb.html" rel="bookmark" class="title">Excel2013教程 设置单元格输入长度数据</a>
					<div>
						  本次Excel教程主要是包含数据有效性设置.公式函数等内容的设置,下面我们一起来看看怎样设置的吧! 1.启动Excel2013,输入好测试数据,选中A4及其下面的单元格,单击菜单栏--数据--数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42WEqM.html" rel="bookmark" class="title">photoshop双曲线磨皮  教你后期出最精细的商业人像</a>
					<div>
						  商业人像对作品的要求自然是精益求精,不仅前期拍摄要给力,后期处理也不能放松!至少清楚双曲线.中性灰等后期原理才算得上是入门.POCOer HIDESIGNER隐在本专题中分享商业人像后期过程,包含 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwv9Kp.html" rel="bookmark" class="title">萝卜家园U盘装系统</a>
					<div>
						  主要步骤: 第一步:制作前的软件.硬件准备 第二步:用萝卜家园U盘装系统软件制作启动U盘 第三步:下载您需要的gho系统文件并复制到U盘中 第四步:进入BIOS设置U盘启动顺序 第五步:用U盘启动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm625Bz.html" rel="bookmark" class="title">jQuery结合ajax实现动态加载文本内容&lowbar;jquery</a>
					<div>
						ajax() 方法通过 HTTP 请求加载远程数据. 该方法是 jQuery 底层 AJAX 实现.简单易用的高层实现见 $.get, $.post 等.$.ajax() 返回其创建的 XMLHttp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW5AKp.html" rel="bookmark" class="title">universalquery&period;net 1&period;0beta has been finished &lpar;通用查询控件universalquery&period;net 1&period;0beta发布了&rpar;&period;</a>
					<div>
						问题描述 i'msoproudtoannouncethatuniversalquery.net1.0betahasbeenfinished.UniversalQuerycontrolfor.netWi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoLJOb.html" rel="bookmark" class="title">浅析网站优化中站内文章作用和编辑技巧</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 网站优化中分为站内优化和站外优化,其中站内优化包括网站结构设计,网站域名空间选择等等,在这些准备好后就可以经营一个网站,排除这些,网站的经营无非就是往网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk58Jb.html" rel="bookmark" class="title">关于cookie读写方面的问题</a>
					<div>
						问题描述 关于cookie读写方面的问题 我有两个页面,html1.html2,在html1中输入文本,保存到cookie,这个cookie的文本就自动在html2显示,没什么思路,求详细 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRWdjz.html" rel="bookmark" class="title">点击  listview  的 问题</a>
					<div>
						问题描述 点击 listview 的 问题 点击 listview 的 item 上的 按钮,弹出软键盘,软键盘把item都覆盖掉了,怎么才能把这个 item 顶到 软键盘上方(就像是微信朋友圈里面, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAKPaM.html" rel="bookmark" class="title">thinkphp-求教 ~~~用ThinkPHP开发的项目怎么和android 对接（常说的接口）？</a>
					<div>
						问题描述 求教 ~~~用ThinkPHP开发的项目怎么和android 对接(常说的接口)? 是重新建一个模块在控制器里面,然后调数据业务处理什么的,在返回 json_encode($data); 给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKRoOz.html" rel="bookmark" class="title">介绍一款数据清理，数据重构软件--TIBCO CLARITY</a>
					<div>
						问题描述 TibcoClarity是tibco公司一款数据清理,重构,整合的工具.它基于Google的OpenRefine开发,加入了多种商业软件(如Salesforce,Maketo)和数据库的整合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKjgkz.html" rel="bookmark" class="title">如何隐藏 Apache 版本号和其它敏感信息</a>
					<div>
						ServerSignature 这允许在服务器生成的文档(如错误消息.modproxy 的 ftp 目录列表.modinfo 输出等等)下添加一个显示服务器名称和版本号的页脚行. 它有三个可能的值:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDxgqz.html" rel="bookmark" class="title">上品折扣：手机扫下码账就结了</a>
					<div>
						晨报讯 (记者 孙雨) 逛商场看中一条裙子,但排队结账的人太多了,怎么办?如今,按一下手机就可以把裙子买回家.昨日,上品折扣与支付宝(微博)宣布达成战略合作,联合推出一款新颖的商场购物服务,用手机支付 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rgVWz.html" rel="bookmark" class="title">北京-Monster全球招聘网站成员，中国领先的招聘网站中华英才网宣布进行全平台升级，正式成为Monster平台</a>
					<div>
						随着本次全平台升级,中华英才网将分阶段推出全球领先的Monster技术及以这些技术为基础的相关产品中文版.同时通过成功进行全平台升级,中华英才网将为求职者和企业提供&quot;高效精准&quot;的用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK1wOz.html" rel="bookmark" class="title">虚拟运营商生不逢时：语音通话市场已成鸡肋</a>
					<div>
						自日前工信部推出俗称为&quot;虚拟运营商&quot;的改革方案后,截至目前已有多家公司表示将争取&quot;虚拟运营商&quot;牌照,这中间包括三类企业,零售连锁企业.增值服务商.电子商务企业, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z9Q4p.html" rel="bookmark" class="title">在twitter搞数据科学是怎样一种体验？</a>
					<div>
						2015年6月17日是我在Twitter工作两周年的纪念日.回想起来,两年间,数据科学在Twitter的应用方式和范围发生了很大变化: · 工具的智能化上,Pig已经过时了,现在的数据流水线都是用Sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNNYqM.html" rel="bookmark" class="title">vmware-VMware安装centOS后首次登陆问题</a>
					<div>
						问题描述 VMware安装centOS后首次登陆问题 VMware中安装centOS后首次登陆为什么是这个界面 我输入root和密码后是这样 我再输入进入图形界面命令后是这样 急求解决??? 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x27vb.html" rel="bookmark" class="title">捕鱼达人名声大振 被腾讯照搬陈昊芝遇直接&OpenCurlyDoubleQuote;无语&rdquo;</a>
					<div>
						受一款以捕鱼为主题的街机游戏启示,http://www.aliyun.com/zixun/aggregation/14604.html&quot;&gt;触控科技CEO陈昊芝带领20人规模的Punch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKNPPp.html" rel="bookmark" class="title">回顾我的BBS 我要从头再来</a>
					<div>
						2年的BBS站,可以等于不成功,群友球球快跑说我这个站现在是半死不活! 虽然这样的评价让我很心痛,毕竟是我围绕了2年多的站啊,怎么会成这样呢?但是评价是中肯的,是值得我痛而且思考的. 到底是什么原因导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n3Wnz.html" rel="bookmark" class="title">Java 如何实现类似购物车功能</a>
					<div>
						问题描述 请教下各位当用户订购2个以上的商品时是吧商品放到arrayList里还是什么?还是session请高手讲解下购物车如何实现·不甚感激! 解决方案 解决方案二:先放list中,然后再放sess ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n097z.html" rel="bookmark" class="title">mfc求助-vs2012用mfc添加播放音乐代码，始终出错</a>
					<div>
						问题描述 vs2012用mfc添加播放音乐代码,始终出错 PlaySound(&quot;resmoonpiano.wav&quot;,NULL,SND_FILENAME | SND_ASYNC| S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOneWxp.html" rel="bookmark" class="title">关于捕捉扫描枪事件</a>
					<div>
						问题描述 我用的是USB接口的扫描枪,SYMBOLLS2208,相当于键盘一样输入当光标在某一文本框时,扫描枪可以把条形码输入到这个文本框中,这样一来我在使用扫描枪时就一定要把焦点定到这个文本框中问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBydAaz.html" rel="bookmark" class="title">两大热门技术碰撞 论区块链在物联网中的应用</a>
					<div>
						 区块链技术作为当前国内外的焦点技术之一,可能会对未来技术创新和产业变革产生重要影响,在物联网中将会有广阔的发展空间.本文介绍了区块链技术发展的基本情况,探讨了区块链技术在物联网中应用的主要方向,并在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG15QOM.html" rel="bookmark" class="title">人工智能时代 云和大数据到底有多重要？</a>
					<div>
						60年前的某个夏天,麦卡锡.明斯基等年轻的科学家们举办了一次聚会,共同研究用机器模拟智能的问题,也是在那时,&quot;人工智能(AI)&quot;的理念正式被提出.如今,人工智能已经应用于语音识别. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmYxkp.html" rel="bookmark" class="title">java编写图片导入数据库的代码</a>
					<div>
						问题描述 java编写图片导入数据库的代码.那位大虾能帮帮忙啊! 解决方案 解决方案二:数据库字段使用BLOB(二进制)Hibernate操作图片的例子网上很多,你搜搜.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmR8Y3z.html" rel="bookmark" class="title">蓝雨伞之恋 - 皮克斯精品动画，看了这个温馨的短片，整个人都变好了！</a>
					<div>
						class=&quot;post_content&quot; itemprop=&quot;articleBody&quot;&gt; 明年奥斯卡最佳动画短片必杀之作&lt;蓝雨伞之恋 / The B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4NXkb.html" rel="bookmark" class="title">多个知名网站遭到不明DDoS攻击</a>
					<div>
						摘要: 今日下午,弹幕视频网站AcFun最早在官方 微博 紧急发布公告,表示目前服务器正受到攻击,全站业务不同程度受阻,正在及时解决. 随后,国内知名漏洞平台网站乌云官方微博也发布 今日下午,弹幕视频 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
